.spinner-container{ 
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.spinner {
    display: inline-block;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    border: 2px solid #ccc;
    border-top-color: #333;
    animation: spin 0.6s ease-in-out infinite;
  }
  
  @keyframes spin {
    to {
      transform: rotate(360deg);
    }
  }